Debian Bug report logs - #711827
ITA: gthumb -- image viewer and browser

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: dapal@debian.org

Date: Mon, 10 Jun 2013 07:39:06 UTC

Owned by: Jackson Doak <noskcaj@ubuntu.com>

Severity: normal

Fixed in version gthumb/3:3.2.5-1

Done: Jackson Doak <noskcaj@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#711827; Package wnpp. (Mon, 10 Jun 2013 07:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 10 Jun 2013 07:39:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: gthumb -- image viewer and browser
Date: Mon, 10 Jun 2013 09:24:20 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

I request an adopter for the gthumb package.

The package description is:
 gThumb is an advanced image viewer and browser. It has many useful
 features, such as filesystem browsing, slide show, image catalogs, web
 album creation, camera import, image CD burning, batch file operations and
 quick image editing features like transformation and color manipulation.
 .
 It's designed for GNOME 2 desktop environment and uses its platform. For
 camera import feature, the gPhoto2 library is used.

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#711827; Package wnpp. (Thu, 24 Oct 2013 03:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jackson Doak <noskcaj@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 24 Oct 2013 03:12:04 GMT) Full text and rfc822 format available.

Message #10 received at 711827@bugs.debian.org (full text, mbox):

From: Jackson Doak <noskcaj@ubuntu.com>
To: 711827@bugs.debian.org
Date: Thu, 24 Oct 2013 14:07:17 +1100
 I've had a package on mentors to fix this for some time, although i
don't use the package enough to be sole maintainer. Is there any
chance you could upload it?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#711827; Package wnpp. (Sun, 17 Nov 2013 02:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <asb@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 17 Nov 2013 02:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 711827@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <asb@debian.org>
To: Jackson Doak <noskcaj@ubuntu.com>
Cc: 711827@bugs.debian.org
Subject: #711827 RFA: gthumb -- image viewer and browser
Date: Sat, 16 Nov 2013 21:52:04 -0500
Adding the relevant bug to the CC.

On Sat, Nov 16, 2013 at 3:10 PM, Jackson Doak <noskcaj@ubuntu.com> wrote:
> Could you please look at my gthumb package? If someone is willing to sponsor
> it, i can try and continue maintaining it.

I'd be happy to review/sponsor gthumb. Here's some comments on your package:

1) Looking at the diff of upstream's configure.ac, there are a few
more changes needed in debian/control:
   - libgtk-3-dev (>= 3.2.0) should now be libgtk-3-dev (>= 3.4.0)
   - libglib2.0-dev (>= 2.28.0) should now be libglib2.0-dev (>= 2.34.0)
   - The build-dep on libgnome-keyring-dev looks like it should be
dropped as it's been replace by libsecret-1-dev which you correctly
added.

2) What are all the commented out lines in debian/gthumb-data.install about?

Thanks,

-- Andrew Starr-Bochicchio

   Ubuntu Developer <https://launchpad.net/~andrewsomething>
   Debian Developer <http://qa.debian.org/developer.php?login=asb>
   PGP/GPG Key ID: D53FDCB1



Changed Bug title to 'ITP: gthumb -- image viewer and browser' from 'RFA: gthumb -- image viewer and browser' Request was from Jackson Doak <noskcaj@ubuntu.com> to control@bugs.debian.org. (Mon, 25 Nov 2013 19:33:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#711827; Package wnpp. (Mon, 25 Nov 2013 19:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jackson Doak <noskcaj@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 25 Nov 2013 19:36:04 GMT) Full text and rfc822 format available.

Message #22 received at 711827@bugs.debian.org (full text, mbox):

From: Jackson Doak <noskcaj@ubuntu.com>
To: 711827@bugs.debian.org
Date: Tue, 26 Nov 2013 06:33:05 +1100
[Message part 1 (text/plain, inline)]
All those issues are now fixed. Can you take another look?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#711827; Package wnpp. (Tue, 26 Nov 2013 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jackson Doak <noskcaj@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 26 Nov 2013 20:39:04 GMT) Full text and rfc822 format available.

Message #27 received at 711827@bugs.debian.org (full text, mbox):

From: Jackson Doak <noskcaj@ubuntu.com>
To: 711827@bugs.debian.org
Date: Wed, 27 Nov 2013 07:35:00 +1100
[Message part 1 (text/plain, inline)]
retitle 711827 ITA: gthumb -- image viewer and browser
owner 711827 !
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITA: gthumb -- image viewer and browser' from 'ITP: gthumb -- image viewer and browser' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Fri, 06 Dec 2013 09:45:16 GMT) Full text and rfc822 format available.

Owner recorded as Jackson Doak <noskcaj@ubuntu.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Fri, 06 Dec 2013 09:45:17 GMT) Full text and rfc822 format available.

Reply sent to Jackson Doak <noskcaj@ubuntu.com>:
You have taken responsibility. (Sat, 07 Dec 2013 15:27:54 GMT) Full text and rfc822 format available.

Notification sent to dapal@debian.org:
Bug acknowledged by developer. (Sat, 07 Dec 2013 15:27:54 GMT) Full text and rfc822 format available.

Message #36 received at 711827-close@bugs.debian.org (full text, mbox):

From: Jackson Doak <noskcaj@ubuntu.com>
To: 711827-close@bugs.debian.org
Subject: Bug#711827: fixed in gthumb 3:3.2.5-1
Date: Sat, 07 Dec 2013 15:23:39 +0000
Source: gthumb
Source-Version: 3:3.2.5-1

We believe that the bug you reported is fixed in the latest version of
gthumb, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711827@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jackson Doak <noskcaj@ubuntu.com> (supplier of updated gthumb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 31 Aug 2013 06:24:51 +1000
Source: gthumb
Binary: gthumb gthumb-dbg gthumb-data gthumb-dev
Architecture: source amd64 all
Version: 3:3.2.5-1
Distribution: unstable
Urgency: low
Maintainer: Jackson Doak <noskcaj@ubuntu.com>
Changed-By: Jackson Doak <noskcaj@ubuntu.com>
Description: 
 gthumb     - image viewer and browser
 gthumb-data - image viewer and browser - arch-independent files
 gthumb-dbg - image viewer and browser - debugging symbols
 gthumb-dev - image viewer and browser - development files
Closes: 697087 711827 716729
Changes: 
 gthumb (3:3.2.5-1) unstable; urgency=low
 .
   * New upstream release. Closes: #716729 LP: #1201073
   * Set myself as maintainer. Closes: #711827
   * debian/control:
     - Build-depend on yelp-tools, libgstreamer1.0-dev, libsecret-1-dev,
       libgstreamer-plugins-base1.0-dev, libwebp-dev
     - Bump standards-version to 3.9.4
     - Bump debhelper to 8
     - Make git URLs canonical
     - Drop depend on libiptcdata0-dev. Closes: #697087
     - Drop depend on gnome keyring since libsecret replaces it
   * debian/compat: Set as 8
   * debian/rules:
     - Add --enable-libwebp for WebP support
     - Add --disable-silent-rules for verbose building
     - Enable hardening
   * Create debian/source/options
   * Refresh all patches so they apply cleanly
Checksums-Sha1: 
 5fc4a6b3211072ba5955adbd2a6b4cf393ba1b47 2620 gthumb_3.2.5-1.dsc
 19e29311848147c2e81159ee764d14f678c50906 3243192 gthumb_3.2.5.orig.tar.xz
 9cda8a98e8ffb958aa4c3a21543411f19ac43b92 32540 gthumb_3.2.5-1.debian.tar.gz
 52aca0d6919ff7cca3e56af3ff42f612720df15a 996902 gthumb_3.2.5-1_amd64.deb
 6e5ba7779ade6fc35f7d915ba72238aefbfd5282 1377800 gthumb-dbg_3.2.5-1_amd64.deb
 5bd6bdd31c8067b94624214962b85d14ea17001e 2010266 gthumb-data_3.2.5-1_all.deb
 d11f050c42826b0f63afcf68a479d9586f370483 721034 gthumb-dev_3.2.5-1_amd64.deb
Checksums-Sha256: 
 ffff75f117b988d339f45794a8a397562f05de4ef8c3ed24bc2888bc03009989 2620 gthumb_3.2.5-1.dsc
 4cc37f7d059351e1284cf7c245f30d20b078b443327fa3d87e0b79a325b873ea 3243192 gthumb_3.2.5.orig.tar.xz
 9501087b1c66903da22ec7f8b74cff128898715e67a352dd3e73be8feb3c4df5 32540 gthumb_3.2.5-1.debian.tar.gz
 ec9a4c1376512679aa60c4880d89fec16e5891ce5462e39eb3660249186ab042 996902 gthumb_3.2.5-1_amd64.deb
 a8dd0e693be4e7239eef00e534b1f768dd161be71dd4d8dd8cbb6a037199a6cb 1377800 gthumb-dbg_3.2.5-1_amd64.deb
 dde922c481c5ddde077c93c20532f0f84482d0cfd7cec0e222f2b6bd8a26ff7a 2010266 gthumb-data_3.2.5-1_all.deb
 b834bae7805c905b370951dbe1d879da6d510e9091d447ae45a56c76a0a75c38 721034 gthumb-dev_3.2.5-1_amd64.deb
Files: 
 91a9bbdd2b2c2840c44ac217375fde2c 2620 gnome optional gthumb_3.2.5-1.dsc
 c35780321b52e134213ec2d2f5ce8a07 3243192 gnome optional gthumb_3.2.5.orig.tar.xz
 416d7f4271d6fc5a98e6aaa30c4b9a9c 32540 gnome optional gthumb_3.2.5-1.debian.tar.gz
 a6ebaab6a1d67cc9f220e48c1d43f509 996902 gnome optional gthumb_3.2.5-1_amd64.deb
 dab45e7807abc2b9a111fbcfd48a259d 1377800 debug extra gthumb-dbg_3.2.5-1_amd64.deb
 d51f1521e9446dd4ab47ad4257dde38b 2010266 gnome optional gthumb-data_3.2.5-1_all.deb
 49a8e5e23e0158acb380c1b5ab6f5644 721034 devel optional gthumb-dev_3.2.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSoy0QAAoJECzs6TUOzr5KcM0P/2NRohvCucicL12tEcoDvLfg
givWjjWrY5MWPcjSfkekk1le5PzAKLO2EdO8MA/QqdcVdkGb6iUpxy9tVCJ8vxfz
ikTDno/gKJ1dKtuh+jLjkuvecOkRFpZ+G8oTYhvwtQhDYx0oNqAa6MpIcXc3Pm3M
847LUcwMW5MjSTTKk/3nrK75HIlmhDS56KaN99c7clQwyJPFr1999efZcScc28ZA
Flhy5ivdsNybYwHOxorwQ3ANRMJQKwgkiy6ftpL7kW0Eq5UXLnqjJ9GZw64CZkXU
et4XT9dQKjne11IJAMU4YNjnBgX76M6PqCGNED8V7SqtE9rF2z43Ezdvz7h45kQA
2gawdVYgbOtznTiqY/QTBOsDxSmfianWc9CYGT41RlNu/650gXWWvBemFhvYXZ1p
xYpxQ2xgxsY/q9i41EbcebVqOHeX8xXR4W8KEAsegiMlph6UShUPxjXLbEFDaoE5
bJwVIqyCxiqo6vt2reBIgJf85Frc+cAV5O7Ps9kuCl6jqxCxEbl81xNp97mY88PO
Uok6RBohbzjtyZY6uMddjCs9bCLIOJ83XKPXM6/V7duFCP8+cYGqQYk9Jkh2L97Q
LuGhcYJmqucKxnwnK8NuoQJ6SIjf+MGdnpx4ahvodxQLSidR0bkQD0xZxNmC3azK
w5Ym6bYBF8dCAoCsK5NQ
=qGar
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Jan 2014 07:27:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:44:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.